<template>
    <el-main>
        <el-card shadow="never">
            <el-tabs tab-position="top" class="custom-tabs" v-model="activeName">
                <el-tab-pane label="机器台账" name="1">
                    <Machine></Machine>
                </el-tab-pane>
                <el-tab-pane label="机器组" name="2">
                    <MachineGroup></MachineGroup>
                </el-tab-pane>

            </el-tabs>
        </el-card>
        <!-- <Dialog ref="dialog" @success="success" :option="{ types, status, group }"></Dialog> -->
    </el-main>
</template>

<script>
import pmsPng from '@/assets/pms.png'
// import Dialog from './Dialog.vue'
import MachineGroup from './MachineGroup.vue'
import Machine from './MachineTab.vue'
export default {
    name: 'system',
    components: {
        // Dialog,
        MachineGroup,
        Machine
    },
    data() {
        return {
            activeName: '1',
        }
    },
    watch: {
        activeName: {
            handler(val) {
                // this.queryList().then(() => {
                //     if (val == 1) {
                //         console.log('>>>>>>>>>>>>>>', this.treeCheckedNode)
                //         this.apiObj = this.$API.workstation.getList
                //         this.params = {
                //             groupId: this.treeCheckedNode.id,
                //             keyWord: '',
                //             status: 1,
                //             type: ''
                //         }
                //         this.groupClick1(this.treeCheckedNode)
                //     }
                // })
            },
            immediate: true
        },
    },
    created() {
        // this.init()
        // this.queryList()
    },
    methods: {

    }
}
</script>

<style lang="scss" scoped>
.show-info {
    list-style: none;
    font-size: 14px;
}

.preview-title {
    padding: 12px;
    margin-bottom: 14px;
    font-size: 16px;
}

.preview-content {
    font-size: 14px;
    display: flex;
    align-items: center;

    .img {
        width: 30%;
    }

    ul {
        list-style: none;
        display: flex;
        flex-wrap: wrap;

        li {
            width: 50%;
            flex: 1 0 auto;
            margin-bottom: 10px;
        }
    }
}

.workbench {
    list-style: none;
}
</style>
